<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> <?php hybrid_attr( 'post' ); ?>>

	<?php the_title( sprintf( '<h2 class="entry-title" ' . hybrid_get_attr( 'entry-title' ) . '><a href="%s" rel="bookmark" itemprop="url">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>

	<?php if ( 'post' == get_post_type() ) : ?>
		<div class="entry-meta">
			<?php supernews_posted_on(); ?>
		</div><!-- .entry-meta -->
	<?php endif; ?>

	<?php if ( has_post_thumbnail() ) : ?>
		<div class="thumbnail" itemprop="image" itemscope itemtype="https://schema.org/ImageObject">
			<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'supernews-blog', array( 'class' => 'entry-thumbnail', 'alt' => esc_attr( get_the_title() ) ) ); ?></a>
			<?php
				// Get the image attributes
				$attr = wp_get_attachment_image_src( get_post_thumbnail_id(), 'supernews-blog' );
			?>
			<meta itemprop="url" content="<?php echo esc_url( $attr[0] ); ?>">
			<meta itemprop="width" content="<?php echo absint( $attr[1] ); ?>">
			<meta itemprop="height" content="<?php echo absint( $attr[2] ); ?>">
		</div>
	<?php endif; ?>

	<div class="entry-content" <?php hybrid_attr( 'entry-summary' ); ?>>
		<?php the_excerpt(); ?>
	</div><!-- .entry-content -->

	<div class="more-link">
	    <a href="<?php the_permalink(); ?>"><?php _e( 'Read the rest of this entry', 'supernews' ); ?></a>
	</div><!-- .more-link -->

</article><!-- #post-## -->
